package oclib


type Data struct {
	AbstractResource

	Protocols		[]string	`json:"protocol,omitempty" bson:"protocol,omitempty"` //TODO Enum type
	DataType    	string   	`json:"datatype" required:"true" bson:"datatype"`
	Example  		string   	`json:"example" bson:"example" required:"true" validate:"required" description:"base64 encoded data"`

}


func (d *Data) GetType() ResourceType{
	return DATA
}




